# neko - https://github.com/m1k1o/neko
# https://neko.m1k1o.net/docs/v3/configuration
services:
  neko:
    container_name: neko
    #build:
    #  context: .             
    #  dockerfile: dockerfile
    #image: ghcr.io/m1k1o/neko/kde
    image: ghcr.io/m1k1o/neko/nvidia-firefox
    restart: "unless-stopped"
    shm_size: "2gb"
    ports:
      - "${NECO_PORT}:8080"
      - "${WEBRTC}:52000-52100/udp"
    environment:
      NEKO_DESKTOP_SCREEN: 1920x1080@30
      NEKO_MEMBER_MULTIUSER_USER_PASSWORD: ${NEKO_MEMBER_MULTIUSER_USER_PASSWORD}
      NEKO_MEMBER_MULTIUSER_ADMIN_PASSWORD: ${NEKO_MEMBER_MULTIUSER_ADMIN_PASSWORD}
      NEKO_WEBRTC_EPR: 52000-52100
      NEKO_WEBRTC_ICELITE: 1
      # See: https://neko.m1k1o.net/docs/v3/configuration/webrtc#ip
      # NEKO_NAT1TO1: <IP_ADDRESS>
    labels:
      # Nginx Proxy Manager Automation
      - "npm.proxy.domains=neko.wompmacho.com"
      - "npm.proxy.host=${DOCKER_HOST_IP}"
      - "npm.proxy.port=${NECO_PORT}" 
      - "npm.proxy.scheme=http"
      - "npm.proxy.websockets=true"
      - "npm.proxy.ssl.force=true"
      - "npm.proxy.ssl.certificate.id=2"
      - "pihole.custom-record=[[\"moonlight.wompmacho.com\", \"${DOCKER_HOST_IP}\"]]"